Bug 26713 - Add pagination to bottom of saved SQL reports table
Summary: Add pagination to bottom of saved SQL reports table
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-16 16:07 UTC by Barbara Johnson
Modified: 2021-01-18 19:19 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds a second pagination menu to the bottom of saved SQL reports tables.
Version(s) released in:
21.05.00,20.11.02


Attachments
Bug 26713: Add pagination to bottom of saved SQL reports table (1.28 KB, patch)
2020-12-03 12:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26713: Add pagination to bottom of saved SQL reports table (1.33 KB, patch)
2020-12-07 17:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 26713: Add pagination to bottom of saved SQL reports table (1.38 KB, patch)
2021-01-10 22:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-16 16:07:23 UTC
It would be a big timesaver to add pagination to the bottom of the saved SQL reports table so that you didn't have to scroll back to the top to page through the results.
Comment 1 Owen Leonard 2020-12-03 12:15:16 UTC
Created attachment 114143 [details] [review]
Bug 26713: Add pagination to bottom of saved SQL reports table

This patch adds a second pagination menu to the bottom of the report
results table.

To test, apply the patch and go to Reports.

- Run a report which will return multiple pages of results (greater
  than 20).
- The results should display with a pagination bar at the top and bottom
  of the table.
- Confirm that both pagination menus work correctly.
Comment 2 David Nind 2020-12-07 17:39:03 UTC
Created attachment 114240 [details] [review]
Bug 26713: Add pagination to bottom of saved SQL reports table

This patch adds a second pagination menu to the bottom of the report
results table.

To test, apply the patch and go to Reports.

- Run a report which will return multiple pages of results (greater
  than 20).
- The results should display with a pagination bar at the top and bottom
  of the table.
- Confirm that both pagination menus work correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-12-07 17:39:44 UTC
Testing notes:

- Used this query: select * from borrowers
Comment 4 Katrin Fischer 2021-01-10 22:15:33 UTC
Created attachment 114997 [details] [review]
Bug 26713: Add pagination to bottom of saved SQL reports table

This patch adds a second pagination menu to the bottom of the report
results table.

To test, apply the patch and go to Reports.

- Run a report which will return multiple pages of results (greater
  than 20).
- The results should display with a pagination bar at the top and bottom
  of the table.
- Confirm that both pagination menus work correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-01-12 15:48:04 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-18 14:37:55 UTC
Small yet very useful enhancement.
I choose to backport.

Pushed to 20.11.x for 20.11.02